/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fr.paris.lutece.plugins.stock.business;

import fr.paris.lutece.util.jpa.IGenericHome;

import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
 * IProviderHome
 */
public interface IProviderHome extends IGenericHome<Integer, Provider>
{
    /**
     * Find all providers with products fetched
     * @return the provider list
     */
    @Transactional( readOnly = true )
    List<Provider> findAllWithProducts(  );

    /**
     * Find by filter
     * @param filter the filter
     * @return the provider list filtered
     */
    @Transactional( readOnly = true )
    List<Provider> findByFilter( ProviderFilter filter );

    /**
     * Find by provider id with product fetched
     * @param nId the provider id
     * @return the provider
     */
    @Transactional( readOnly = true )
    Provider findByIdWithProducts( int nId );
}
