/*
 * Copyright (c) 2002-2011, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.stock.business;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
 *
 * TicketCategory
 *
 */
@Entity
@Table( name = "stock_ticket_category" )
public class TicketCategory extends Category
{
    private String _strBookingPhone;
    private String _strBookingPhone2;
    private String _strBookingMail;

    /**
     * Constructor
     */
    public TicketCategory(  )
    {
        super(  );
    }

    /**
     * Constructor from an other category
     * @param category the initial category
     */
    public TicketCategory( Category category )
    {
        super( category );
    }

    /**
     * Return booking phone
     * @return the booking phone
     */
    @Column( name = "booking_phone" )
    public String getBookingPhone(  )
    {
        return _strBookingPhone;
    }

    /**
     * Set the booking phone
     * @param strBookingPhone the booking phone
     */
    public void setBookingPhone( String strBookingPhone )
    {
        _strBookingPhone = strBookingPhone;
    }

    /**
     * Return booking phone 2
     * @return the booking phone 2
     */
    @Column( name = "booking_phone2" )
    public String getBookingPhone2( )
    {
        return _strBookingPhone2;
    }

    /**
     * Set the booking phone 2
     * @param strBookingPhone2 the booking phone 2
     */
    public void setBookingPhone2( String strBookingPhone2 )
    {
        _strBookingPhone2 = strBookingPhone2;
    }

    /**
     * Return the booking mail
     * @return the booking mail
     */
    @Column( name = "booking_mail" )
    public String getBookingMail(  )
    {
        return _strBookingMail;
    }

    /**
     * Set the booking mail
     * @param bookingEmail the mail
     */
    public void setBookingMail( String bookingEmail )
    {
        _strBookingMail = bookingEmail;
    }
}
