/*
 * Copyright (c) 2002-2011, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.stock.business;

import java.sql.Timestamp;


/**
 *
 * TicketProductFilter
 *
 */
public class TicketProductFilter extends ProductFilter
{
    private Timestamp _dateBegin;
    private Timestamp _dateEnd;

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean hasFilter(  )
    {
        return super.hasFilter(  ) || ( getDateBegin(  ) != null ) || ( getDateEnd(  ) != null );
    }

    /**
     * Return the date begin filtered
     * @return the date filtered
     */
    public Timestamp getDateBegin(  )
    {
        return _dateBegin;
    }

    /**
     * Set the date begin to filter
     * @param dateBegin the date to filter
     */
    public void setDateBegin( Timestamp dateBegin )
    {
        _dateBegin = dateBegin;
    }

    /**
     * Get the date end filtered
     * @return the date end filtered
     */
    public Timestamp getDateEnd(  )
    {
        return _dateEnd;
    }

    /**
     * Set the date end to filter
     * @param dateEnd to filter
     */
    public void setDateEnd( Timestamp dateEnd )
    {
        _dateEnd = dateEnd;
    }
}
